Subject: Re: Mail program
From: Refr Bruhl <[email-masked]>
To: Cyrille Lefevre <[email-masked]>
Cc: Cygwin Mail List <[email-masked]>
Date: Wed, 30 Jun 2010 10:07:19 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

Greetings

Cyrille: You asked which error I was getting on compiling the mailutils. I'e included it below. Interestingly enough when I compile mailutils with a --disable-cxx option I get the shared library error message/warning again.

Here is the url for the mailutils package. http://www.gnu.org/software/mailutils/#downloading

I really need the ability to redirect a text stream to a pipe to mail. 

I feel if I can get mailutils to compile successfully then I have reached my goal of emulating an aix environment

----- Forwarded Message 
----
From: Refr Bruhl <[email-masked]>
To: 
[email-masked]
Sent: Tue, June 29, 2010 9:44:15 AM
Subject: Fatal error in addr.cc under cygwin 1.7.5

Team

I am getting compile errors for the 
mailutils package under cygwin. I am using cygwin 1.7.5

I have 
found a reoccurring error in the config.log. While its reoccurring I 
don't think its related to the compile errors. I I have included it 
below

The fatal error is in the addr.cc file as shown below

When I 
compile usig the --disable-cxx option the compile works but I don't get 
mail when involjkng the mail binary.

is there a spool directory 
that needs created? Some other setup needed? 

Any help is 
appreciated

Thanks!
-Rob

## --------- 
##
## Platform. ##
## --------- ##

hostname = lkvn108
uname -m = i686
uname -r = 1.7.5(0.225/5/3)
uname -s = CYGWIN_NT-5.1  
uname -v = 2010-04-12 19:07

/usr/bin/uname -p = unknown
/bin/uname 
-X     = unknown

/bin/arch              = i686  
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo      = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

config.log 
error msage
conftest.c:10:28: error: ac_nonexistent.h: No such file 
or directory
configure:4916: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| #define PACKAGE_NAME "GNU Mailutils"
| 
#define PACKAGE_TARNAME "mailutils" 
| #define PACKAGE_VERSION "2.1"
| #define PACKAGE_STRING "GNU Mailutils 2.1"
| #define 
PACKAGE_BUGREPORT "[email-masked]"
| 
#define PACKAGE "mailutils"
| #define VERSION "2.1"
| /* end 
confdefs.h.  */
| #include <ac_nonexistent.h>

Actual compile errors

*** Warning: This system can not link to static 
lib archive ../mailbox/libmailutils.la.
*** I have the capability to 
make that library automatically link in when
*** you link to this 
library.  But I can only do this if you have a
*** shared version of 
the library, which you do not appear to have.
libtool: link: warning: undefined symbols not allowed in i686-pc-cygwin shared libraries

This is the fatal error:

Making all in cpp
make[3]: Entering 
directory `/downloads/mail/mailutils-2.1/examples/cpp'
g++ -g -O2 
-DSYSCONFDIR=\"/usr/local/etc\"   addr.cc   -o addr
addr.cc:23:37: 
error: mailutils/cpp/mailutils.h: No such file or directory
addr.cc:26: error: ‘mailutils’ is not a namespace-name
addr.cc:26: error: 
expected namespace-name before ‘;’ token
addr.cc: In function ‘int 
parse(const char*)’:
addr.cc:31: error: ‘set_user_email_domain’ was 
not declared in this scope
addr.cc:34: error: ‘Address’ was not 
declared in this scope
addr.cc:34: error: expected `;' before 
‘address’
addr.cc:35: error: ‘address’ was not declared in this scope
addr.cc:57: error: expected type-specifier before ‘Exception’
addr.cc:57: error: expected `)' before ‘&’ token
addr.cc:57: error: expected `{' 
before ‘&’ token
addr.cc:57: error: ‘e’ was not declared in this 
scope
addr.cc:57: error: expected `;' before ‘)’ token
make[3]: 
*** [addr] Error 1
make[3]: Leaving directory 
`/downloads/mail/mailutils-2.1/examples/cpp'
make[2]: *** 
[all-recursive] Error 1
make[2]: Leaving directory 
`/downloads/mail/mailutils-2.1/examples'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/downloads/mail/mailutils-2.1'
make: *** [all] Error 2

----- Original Message ----
From: Cyrille Lefevre <[email-masked]>
To: [email-masked]
Sent: Tue, June 29, 2010 9:49:32 PM
Subject: Re: Mail program

Le 29/06/2010 14:24, Refr Bruhl a écrit :
>
>
> Good Morning
>
> I am in need of of a mail program similar to the mail found in AIX. I am emulating an AIX environment.
>
> I've installed the email, ssmtp and other email apps in the email. I get a segmentation fault for email
>
> I like email as it seems to accept the same parameters and funcitonality as the AIX mail app. I have a multitude of scripts that use the format:
>
>           echo ${MESSAGE} | mail -s '${SUBJECT}' ${EMAIL}
>
> Where ${EMAIL} is a comma delimited list of addresses.
>
> I've compiled the mailutils from gnu but I get a different error there which I'll take up with the [email-masked]

which error ?

> Anyone got any ideas on how to get email to work without a segmentation fault?

ah! this one ? do you know the origin ?

> Where can I obtain the source for email? I've pretty much hit cygwin head first and am not as familiar with it as I am with AIX. My apologies for the newbie questions.

let's try ssmtp w/ /etc/ssmtp/ssmtp.conf configured like this :

mailhub=smtp.<isp>
FromLineOverride=YES
hostname=smtp.<isp>
rewriteDomain=<domain>
root=postmaster
AuthUser=<user>
AuthPass=<pass>
AuthMethod=LOGIN

and w/ /etc/ssmtp/revaliases :

<login>:<email>:smtp.<isp>

don't forget to run ssmtp-config

alternative w/ msmtp and /etc/msmtprc :

account <isp>
host smtp.<isp>
auth login
password <pass>

account <email1> : <isp>
from <email1>
user <user1>

account <email2> : <isp>
from <email2>
user <user2>

account default : <email1>

don't forget to run msmtp-config

yet another alternative w/ email :

/usr/bin/email \
-r smtp.<sip> \
-m LOGIN \
-u <user> \
-i <pass> \
-n "<comment>" \
-f <email> \
...

then, for both ssmtp/msmtp, the attached script should work !

I left you the implementation of the -a (attachment) option :-)

Regards,

Cyrille Lefevre
-- 
mailto:[email-masked]
--
Problem reports:      http://cygwin.com/problems.html
FAQ:                  http://cygwin.com/faq/
Documentation:        http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple